#include <bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> a) {
    int n = a.size();
    vector<int> ans(n);
    for (int i = 0; i < n / 4; i++) {
        ans[i] = i;
    }
    for (int i = n / 4; i < n / 2; i++) {
        ans[i] = 5 * n / 4 - i - 1;
    }
    for (int i = n / 2; i < n; i++) {
        ans[i] = i - n / 4;
    }
    return ans;
}